Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs	(revision 252)
@@ -65,20 +65,21 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += "  SecCode";
-            strcmd += " ,DisplayOrder";
-            strcmd += " ,SecName";
-            strcmd += " ,SecRank";
-            strcmd += " ,SecRange";
-            strcmd += " ,GeneralAffairs";
-            strcmd += " ,SelectBackColor";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  SecCode");
+            strcmd.Append(" ,DisplayOrder");
+            strcmd.Append(" ,SecName");
+            strcmd.Append(" ,SecRank");
+            strcmd.Append(" ,SecRange");
+            strcmd.Append(" ,GeneralAffairs");
+            strcmd.Append(" ,SelectBackColor");
 
-            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM SecurityMaster";
+            strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM SecurityMaster");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -93,16 +94,17 @@
         public bool SelectAction(string AddSQLString, ref List<SecurityMaster> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -116,7 +118,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -133,16 +135,17 @@
         public bool SelectAction(string AddSQLString, ref SecurityMaster data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -155,7 +158,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -169,40 +172,40 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(SecurityMaster work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SecurityMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SecurityMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += work.SecCode.ToString();
-                strcmd += string.Format(", {0}", work.DisplayOrder);
-                strcmd += string.Format(",'{0}'", work.SecName);
-                strcmd += string.Format(", {0}", work.SecRank);
-                strcmd += string.Format(", {0}", work.SecRange);
-                strcmd += string.Format(", {0}", work.GeneralAffairs);
-                strcmd += string.Format(",'{0}'", work.SelectBackColor);
+                strcmd.AppendFormat(" {0}", work.SecCode.ToString());
+                strcmd.AppendFormat(", {0}", work.DisplayOrder);
+                strcmd.AppendFormat(",'{0}'", work.SecName);
+                strcmd.AppendFormat(", {0}", work.SecRank);
+                strcmd.AppendFormat(", {0}", work.SecRange);
+                strcmd.AppendFormat(", {0}", work.GeneralAffairs);
+                strcmd.AppendFormat(",'{0}'", work.SelectBackColor);
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -216,48 +219,48 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<SecurityMaster> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SecurityMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SecurityMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (SecurityMaster work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.SecCode);
-                    strcmd += string.Format(", {0}", work.DisplayOrder);
-                    strcmd += string.Format(",'{0}'", work.SecName);
-                    strcmd += string.Format(", {0}", work.SecRank);
-                    strcmd += string.Format(", {0}", work.SecRange);
-                    strcmd += string.Format(", {0}", work.GeneralAffairs);
-                    strcmd += string.Format(",'{0}'", work.SelectBackColor);
+                    strcmd.AppendFormat("  {0}", work.SecCode);
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder);
+                    strcmd.AppendFormat(",'{0}'", work.SecName);
+                    strcmd.AppendFormat(", {0}", work.SecRank);
+                    strcmd.AppendFormat(", {0}", work.SecRange);
+                    strcmd.AppendFormat(", {0}", work.GeneralAffairs);
+                    strcmd.AppendFormat(",'{0}'", work.SelectBackColor);
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -272,32 +275,32 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, SecurityMaster data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE SecurityMaster";
+                strcmd.Append("UPDATE SecurityMaster");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" SecCode = {0}", data.SecCode);
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder);
-                strcmd += string.Format(",SecName = '{0}'", data.SecName);
-                strcmd += string.Format(",SecRank = {0}", data.SecRank);
-                strcmd += string.Format(",SecRange = {0}", data.SecRange);
-                strcmd += string.Format(",GeneralAffairs = {0}", data.GeneralAffairs);
-                strcmd += string.Format(",SelectBackColor = '{0}'", data.SelectBackColor);
+                strcmd.AppendFormat(" SecCode = {0}", data.SecCode);
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder);
+                strcmd.AppendFormat(",SecName = '{0}'", data.SecName);
+                strcmd.AppendFormat(",SecRank = {0}", data.SecRank);
+                strcmd.AppendFormat(",SecRange = {0}", data.SecRange);
+                strcmd.AppendFormat(",GeneralAffairs = {0}", data.GeneralAffairs);
+                strcmd.AppendFormat(",SelectBackColor = '{0}'", data.SelectBackColor);
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -313,18 +316,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM SecurityMaster", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM SecurityMaster", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -341,48 +344,48 @@
         /// <returns></returns>
         public bool UpdateFeild(int SecurityCode, int FeildNo, object value, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE SecurityMaster";
+                strcmd.Append("UPDATE SecurityMaster");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int) TableColumn.SecCode:
-                        strcmd += string.Format(" SecurityCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SecurityCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.DisplayOrder:
-                        strcmd += string.Format(" DisplayOrder = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" DisplayOrder = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.SecName:
-                        strcmd += string.Format(" SecurityName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SecurityName = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.SecRank:
-                        strcmd += string.Format(" SecurityRank = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SecurityRank = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.SecRange:
-                        strcmd += string.Format(" SecurityRange = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SecurityRange = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.GeneralAffairs:
-                        strcmd += string.Format(" GeneralAffairs = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" GeneralAffairs = {0}", ((int)value).ToString());
                         break;
 
                     case (int)TableColumn.SelectBackColor:
-                        strcmd += string.Format(" SelectBackColor = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SelectBackColor = '{0}'", value.ToString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(SecurityCode);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(SecurityCode));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -429,17 +432,17 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int SecurityCode)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder(); ;
             try
             {
-                strWork = string.Format(" Where SecCode = {0}", SecurityCode);
+                strWork.AppendFormat(" Where SecCode = {0}", SecurityCode);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -453,16 +456,16 @@
         public int SelectMaxSecurityCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SecCode), 0) FROM SecurityMaster" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SecCode), 0) FROM SecurityMaster{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 object[] objwrk = (object[])arData[0];
@@ -472,7 +475,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return -1;
             }
         }
@@ -488,16 +491,16 @@
         public int SelectMaxDisplayCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(DISPLAYORDER), 0) FROM SecurityMaster" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(DISPLAYORDER), 0) FROM SecurityMaster{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 object[] objwrk = (object[])arData[0];
@@ -507,7 +510,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return -1;
             }
         }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSubContractor.cs	(revision 252)
@@ -639,15 +639,15 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int CompanyCode)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where CompanyCode = {0}", CompanyCode);
-                return strWork;
+                strWork.AppendFormat(" Where CompanyCode = {0}", CompanyCode);
+                return strWork.ToString();
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
                 return string.Empty;
             }
 
